Fix usecase-ui-server shutdown bug 10/71910/1
authorzhangab <zhanganbing@chinamobile.com>
Tue, 6 Nov 2018 04:35:53 +0000 (12:35 +0800)
committerzhangab <zhanganbing@chinamobile.com>
Tue, 6 Nov 2018 04:35:55 +0000 (12:35 +0800)
Change-Id: I176795884f01192abf42c2fcc152a3f445a1528e
Issue-ID: USECASEUI-176
Signed-off-by: zhangab <zhanganbing@chinamobile.com>
server/pom.xml
server/src/main/resources/application.properties
standalone/src/main/assembly/bin/stop.sh
standalone/src/main/assembly/bin/stop.sh.bak [new file with mode: 0644]

index deb0c0a..fe8b8ce 100644 (file)
     </dependencyManagement>
 
     <dependencies>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-actuator</artifactId>
+        </dependency>
         <dependency>
             <groupId>org.springframework.boot</groupId>
             <artifactId>spring-boot-starter-data-jpa</artifactId>
index 0284308..e97b378 100644 (file)
@@ -34,4 +34,9 @@ spring.jpa.properties.hibernate.format_sql=false
 
 ## Logback Properties
 logging.file=logs/usecaseui_server.log
-logging.level.*=ERROR
\ No newline at end of file
+logging.level.*=ERROR
+
+#enable shutdown
+endpoints.shutdown.enabled=true
+endpoints.shutdown.sensitive=false
+management.context-path=/usecase-ui-server
index cacd118..2f60715 100644 (file)
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# Copyright 2016-2017 ZTE Corporation.
+# Copyright 2018 CMCC Corporation.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -27,22 +27,19 @@ cd $HOME; pwd
 
 echo @WORK_DIR@ $HOME
 
-function save_service_pid(){
-    service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
-    echo @service_pid@ $service_pid
+function shutdown_usecaseui_server(){
+    echo ================== usecase-ui server shutdown is starting =============================================
+    curl -X POST http://localhost:8082/usecase-ui-server/shutdown
+    echo ================== usecase-ui server shutdown finished =============================================
 }
 
-function kill_service_process(){
-    ps -p $service_pid
-    if [ $? == 0 ]; then
-        kill -9 $service_pid
-    fi
+function shutdown_usecaseui_db(){
+    echo ================== usecase-ui database shutdown is starting =============================================
+    service mysql stop
+    echo ================== usecase-ui database shutdown finished =============================================
 }
 
-save_service_pid;
-echo @C_CMD@ kill -9 $service_pid
-kill_service_process;
-
-echo "Stoping mysql"
-service mysql stop
+shutdown_usecaseui_server;
+shutdown_usecaseui_db;
+echo "*****************usecase server shutdown finished*****************"
 sleep 1
diff --git a/standalone/src/main/assembly/bin/stop.sh.bak b/standalone/src/main/assembly/bin/stop.sh.bak
new file mode 100644 (file)
index 0000000..cacd118
--- /dev/null
@@ -0,0 +1,48 @@
+#!/bin/bash
+#
+# Copyright 2016-2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+Main_Class="usecase-ui-server"
+
+echo ================== usecase-ui-server info =============================================
+echo HOME=$HOME
+echo Main_Class=$Main_Class
+echo ===============================================================================
+cd $HOME; pwd
+
+echo @WORK_DIR@ $HOME
+
+function save_service_pid(){
+    service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
+    echo @service_pid@ $service_pid
+}
+
+function kill_service_process(){
+    ps -p $service_pid
+    if [ $? == 0 ]; then
+        kill -9 $service_pid
+    fi
+}
+
+save_service_pid;
+echo @C_CMD@ kill -9 $service_pid
+kill_service_process;
+
+echo "Stoping mysql"
+service mysql stop
+sleep 1